﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Microsoft.Kinect;

namespace VideoMagic
{
    public struct IntPoint
    {
        public IntPoint(ColorImagePoint point)
            : this()
        {
            X = point.X;
            Y = point.Y;
        }

        public IntPoint(Point point)
            : this()
        {
            X = (int)point.X;
            Y = (int)point.Y;
        }

        public int X { get; set; }
        public int Y { get; set; }
    }
}
